#
# spec file for package jacktrip
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           jacktrip
Version:        1.1
Release:        lp150.1.1
Summary:        Multi-machine network music performance over the Internet
License:        MIT
Group:          Productivity/Multimedia/Sound/Utilities
URL:            https://github.com/jcacerec/jacktrip
Source:         https://github.com/jcacerec/jacktrip/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)

%description
JackTrip is a system used for multi-machine network performance over the
Internet. It supports any number of channels (as many as the
computer/network can handle) of bidirectional, high quality, uncompressed
audio signal streaming.

%prep
%setup -q -n %{name}-%{version}/jacktrip/src

%build
%qmake5 jacktrip.pro
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install
rm %{buildroot}/%{_bindir}/jacktrip_debug

%files
%doc ../CHANGESLOG.txt ../../README.md ../TODO.txt
%{_bindir}/jacktrip

%changelog
* Fri Mar  9 2018 aloisio@gmx.com
- Update to version 1.1
  * (added) Support for RtAudio. Jacktrip can now be used without
    Jack
  * (added) DNS Look-up support, now one machine can have a private
    IP (but still needs to have UDP ports open)
  * (added) New port to Windows XP and Windows Vista (experimental
    and not tested for a long time, only when using jacktrip as a
    library)
  * (added) Multiclient Server (experimental and not exposed in the
    executable)
- Dropped jacktrip-1.0.5-gcc47.patch (merged upstream)
- New homepage
- Spec cleanup
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build with gcc 4.7
* Sat Apr 21 2012 pascal.bleser@opensuse.org
- initial version (1.0.5+2)
